MPCMD(3)

SYNOPSIS
SUBROUTINE MPCMD (X, DZ)

NAME
mpcmd - Subsidiary to DQDOTA and DQDOTI

LIBRARY
SLATEC

TYPE
ALL (MPCMD-A)

AUTHOR
(UNKNOWN)

DESCRIPTION
Converts multiple-precision X to double-precision DZ. Assumes X is in allowable range for double-precision numbers. There is some loss of accuracy if the exponent is large. The argument X(*) is INTEGER array of size 30. See the comments in the routine MPBLAS for the reason for this choice.

SEE ALSO
DQDOTA, DQDOTI, MPBLAS

ROUTINES CALLED
MPCHK, MPERR

COMMON BLOCKS
MPCOM

REVISION HISTORY (YYMMDD)
791001 DATE WRITTEN ?????? Modified for use with BLAS. Blank COMMON changed to named COMMON. R given dimension 12.
890531 Changed all specific intrinsics to generic. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)
930124 Increased Array size in MPCON for SUN -r8. (RWC)